extends PlayerState


func _enter_state():
	player.set_physics_process(false)
	player.animation_player.play(GameConstants.ANIM_DEATH)
	await player.animation_player.animation_finished
	player.player_died.emit()
